org.apache.commons.math

## Class MathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException

- All Implemented Interfaces:
    Serializable, MathThrowable
  Direct Known Subclasses:
    CardanEulerSingularityException, ConvergenceException, DerivativeException, DimensionMismatchException, DuplicateSampleAbscissaException, EstimationException, EventException, FunctionEvaluationException, IntegratorException, MathConfigurationException, NotARotationMatrixException, NotPositiveDefiniteMatrixException, NotSymmetricMatrixException

      public class MathException
      extends Exception
      implements MathThrowable

  Base class for commons-math checked exceptions.

  Supports nesting, emulating JDK 1.4 behavior if necessary.

  Adapted from .

  Version:
    $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Object[]` | `arguments` Arguments used to build the message.
    `private Localizable` | `pattern` Pattern used to build the message.
    `private static long` | `serialVersionUID` Serializable version identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathException()` Constructs a new `MathException` with no detail message.
    `MathException(Localizable pattern, Object... arguments)` Constructs a new `MathException` with specified formatted detail message.
    `MathException(String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `MathException(Localizable, Object...)`
    `MathException(Throwable rootCause)` Constructs a new `MathException` with specified nested `Throwable` root cause.
    `MathException(Throwable rootCause, Localizable pattern, Object... arguments)` Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause.
    `MathException(Throwable rootCause, String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `MathException(Throwable, Localizable, Object...)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getArguments()` Gets the arguments used to build the message of this throwable.
    `Localizable` | `getGeneralPattern()` Gets the localizable pattern used to build the general part of the message of this throwable.
    `String` | `getLocalizedMessage()` Gets the message in the system default locale.
    `String` | `getMessage()` Gets the message in a conventional US locale.
    `String` | `getMessage(Locale locale)` Gets the message in a specified locale.
    `String` | `getPattern()` Deprecated. as of 2.2 replaced by `getSpecificPattern()` and `getGeneralPattern()`
    `Localizable` | `getSpecificPattern()` Gets the localizable pattern used to build the specific part of the message of this throwable.
    `void` | `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
    `void` | `printStackTrace(PrintStream out)` Prints the stack trace of this exception to the specified stream.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier.
      See Also:
        Constant Field Values

    - #### pattern

          private final Localizable pattern

      Pattern used to build the message.

    - #### arguments

          private final Object[] arguments

      Arguments used to build the message.

  - ### Constructor Detail

    - #### MathException

          public MathException()

      Constructs a new `MathException` with no detail message.

    - #### MathException

          @Deprecated
          public MathException(String pattern,
                                  Object... arguments)

      Deprecated. as of 2.2 replaced by `MathException(Localizable, Object...)`
      Constructs a new `MathException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments

    - #### MathException

          public MathException(Localizable pattern,
                       Object... arguments)

      Constructs a new `MathException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `pattern` - format specifier
        `arguments` - format arguments
      Since:
        2.2

    - #### MathException

          public MathException(Throwable rootCause)

      Constructs a new `MathException` with specified nested `Throwable` root cause.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.

    - #### MathException

          @Deprecated
          public MathException(Throwable rootCause,
                                  String pattern,
                                  Object... arguments)

      Deprecated. as of 2.2 replaced by `MathException(Throwable, Localizable, Object...)`
      Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.
        `pattern` - format specifier
        `arguments` - format arguments
      Since:
        1.2

    - #### MathException

          public MathException(Throwable rootCause,
                       Localizable pattern,
                       Object... arguments)

      Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.
        `pattern` - format specifier
        `arguments` - format arguments
      Since:
        2.2

  - ### Method Detail

    - #### getPattern

          @Deprecated
          public String getPattern()

      Deprecated. as of 2.2 replaced by `getSpecificPattern()` and `getGeneralPattern()`
      Gets the pattern used to build the message of this throwable.
      Returns:
        the pattern used to build the message of this throwable
      Since:
        1.2

    - #### getSpecificPattern

          public Localizable getSpecificPattern()

      Gets the localizable pattern used to build the specific part of the message of this throwable.
      Specified by:
        `getSpecificPattern` in interface `MathThrowable`
      Returns:
        localizable pattern used to build the specific part of the message of this throwable
      Since:
        2.2

    - #### getGeneralPattern

          public Localizable getGeneralPattern()

      Gets the localizable pattern used to build the general part of the message of this throwable.
      Specified by:
        `getGeneralPattern` in interface `MathThrowable`
      Returns:
        localizable pattern used to build the general part of the message of this throwable
      Since:
        2.2

    - #### getArguments

          public Object[] getArguments()

      Gets the arguments used to build the message of this throwable.
      Specified by:
        `getArguments` in interface `MathThrowable`
      Returns:
        the arguments used to build the message of this throwable

    - #### getMessage

          public String getMessage(Locale locale)

      Gets the message in a specified locale.
      Specified by:
        `getMessage` in interface `MathThrowable`
      Parameters:
        `locale` - Locale in which the message should be translated
      Returns:
        localized message
      Since:
        1.2

    - #### getMessage

          public String getMessage()

      Gets the message in a conventional US locale.
      Specified by:
        `getMessage` in interface `MathThrowable`
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        localized message

    - #### getLocalizedMessage

          public String getLocalizedMessage()

      Gets the message in the system default locale.
      Specified by:
        `getLocalizedMessage` in interface `MathThrowable`
      Overrides:
        `getLocalizedMessage` in class `Throwable`
      Returns:
        localized message

    - #### printStackTrace

          public void printStackTrace()

      Prints the stack trace of this exception to the standard error stream.
      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintStream out)

      Prints the stack trace of this exception to the specified stream.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `out` - the `PrintStream` to use for output

Copyright (c) 2003-2013 Apache Software Foundation